Bug 165033 - [UPDATE] devel/py-lxml: update to 2.3.3
Summary: [UPDATE] devel/py-lxml: update to 2.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-12 14:20 UTC by Ruslan Makhmatkhanov
Modified: 2012-02-15 19:17 UTC (History)
0 users

See Also:


Attachments
file.diff (3.48 KB, patch)
2012-02-12 14:20 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2012-02-12 14:20:06 UTC
- update to 2.3.3
- silence docs installation
- fix build on 10.0-CURRENT (original patch from bsam@)

changelog:
http://lxml.de/2.3/changes-2.3.3.html

patch: http://people.freebsd.org/~rm/py-lxml-2.3.3.diff.txt
tblog: http://people.freebsd.org/~rm/py27-lxml-2.3.3.log

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-02-12 14:20:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-02-12 14:20:41 UTC
Maintainer of devel/py-lxml,

Please note that PR ports/165033 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165033

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-02-12 14:20:43 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Robert Gogolok 2012-02-15 08:58:41 UTC
I approve the patch (though I can't test it with FreeBSD 10.0-CURRENT yet).
Comment 5 R.Mahmatkhanov 2012-02-15 09:30:52 UTC
Robert Gogolok wrote on 15.02.2012 13:00:
> The following reply was made to PR ports/165033; it has been noted by GNATS.
>
> From: Robert Gogolok<gogo@cs.uni-sb.de>
> To: bug-followup@freebsd.org
> Cc:
> Subject: Re: ports/165033: [UPDATE] devel/py-lxml: update to 2.3.3
> Date: Wed, 15 Feb 2012 09:58:41 +0100
>
>   I approve the patch (though I can't test it with FreeBSD 10.0-CURRENT yet).

Thanks. It looks like that it was fixed in the base yesterday. So I'll 
check with free tree and if it is, i drop this patch.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 6 dfilter service freebsd_committer 2012-02-15 18:51:34 UTC
rm          2012-02-15 18:51:20 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-lxml        Makefile distinfo pkg-plist 
  Added files:
    devel/py-lxml/files  patch-src-lxml_lxml.etree.c 
  Log:
  - update to 2.3.3
  - silence docs installation
  - fix build on 10.0-CURRENT (original patch from bsam@)
  
  changelog:
  http://lxml.de/2.3/changes-2.3.3.html
  
  PR:             165033
  Submitted by:   rm (myself)
  Approved by:    Robert Gogolok <gogo at cs.uni-sb dot de> (maintainer)
  
  Revision  Changes    Path
  1.24      +4 -4      ports/devel/py-lxml/Makefile
  1.18      +2 -2      ports/devel/py-lxml/distinfo
  1.1       +15 -0     ports/devel/py-lxml/files/patch-src-lxml_lxml.etree.c (new)
  1.20      +3 -1      ports/devel/py-lxml/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2012-02-15 19:17:24 UTC
State Changed
From-To: feedback->closed

Committed, thank you!